Bug 224205 - (Fedora7LiveCD) Fedora 7 Live CD Tracker
Fedora 7 Live CD Tracker
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Bill Nottingham
: Tracking
Depends On: 224208 224210 224213 225168 227214 227246 227448 227734 228323 230604 230943 230945 231201 231775 233120 234082 234684 234719 234724 234728 234765 234881 234897 235114 235118 235215 235866 235902 237322 237632 239202 239293 239300
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-24 12:19 EST by Jeremy Katz
Modified: 2014-03-16 23:05 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 19:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-01-24 12:19:07 EST
Tracking bug for things that we want to fix for the Fedora 7 Live CD spin
Comment 1 Paul Hudson 2007-01-29 20:55:17 EST
When I try to boot the "Fedora Core 6 Zod LiveCD 1 iso image for i386" , my 
monitor shows that the resolution is too high / out of specification. I end up 
with a blank screen and have no way of accessing Fedora. I was hoping that I 
would be able to use a command line option to force Fedora to use something 
other than the settings in the Kickstart configuration files. But this appears 
to not be an option. See topic: [Fedora-livecd-list] Setting video resolution 
on boot up.
Comment 2 Bob Agel 2007-02-02 08:07:39 EST
I've attempted to use the Fedora7-T1 Live CD and the boot stops after locating
the USB ports and SCSI -attached scsi removable disc sda through sdd.  Boot
stops with "Warning, cannot find root file system" "create symlink /dev/root and
then exit this shell to continue the boot sequence".  

As info, other Live CD's boot without error and I'm currently booting 7
different distros on the two hard drives.  

Three Live CD's were downloaded from both the bittorrent and ftp mirrors and all
passed sha1sum and were burned at 12x, the minimum speed on my CD-RW.  Also, as
info, this same problem has been reported on FedoraForum.org by two other members.  
Comment 3 Richard Morehouse 2007-02-02 13:45:18 EST
the message 
Warning, cannot find root file system" "create symlink /dev/root and
then exit this shell to continue the boot sequence

occurred after finding the ps2 mouse (logitech trackball  model :marble mouse)
asus  a7v8x-x 1gb ram 

downloaded via torrent and sha1sum was good
Comment 4 Adam Huffman 2007-02-02 14:39:52 EST
I've seen the same message listed in comment #3, on a Shuttle SN41G2 which has
the nForce 2 chipset.  Perhaps it is not using the pata_amd module, which needed
to be loaded manually for the normal F7 test 1 DVD in order to detect the DVD drive.

Also, when listing the partitions, the kernel claims to find /dev/sda1 as a
1000MB partition, even though there is no such disk on this system.
Comment 5 Wojciech Sluszniak 2007-02-02 16:43:22 EST
I also have the same problem - "Warning, cannot find root file system".

My laptop: AMD Sempron 3000+, 512MB from which 32MB are used by video card.
This is my lspci listing:
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 760/M760 Host (rev 03)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SG86C202
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media IO]
(rev 25)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev a0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97
Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast
Ethernet (rev 91)
00:06.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 02)
00:0b.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g]
802.11g Wireless LAN Controller (rev 02)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760
PCI/AGP or 662/761Gx PCIE VGA Display Adapter
[wojtekjs@localhost ~]$ /sbin/lspci
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 760/M760 Host (rev 03)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SG86C202
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media IO]
(rev 25)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev a0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97
Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast
Ethernet (rev 91)
00:06.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 02)
00:0b.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g]
802.11g Wireless LAN Controller (rev 02)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760
PCI/AGP or 662/761Gx PCIE VGA Display Adapter
Comment 6 Martin Sourada 2007-02-02 17:56:08 EST
I have the luck to have at least one machine which works with it. Here is the
output of dmesg from the one that does not work (same way as described in
comment #2): http://feannatar.hostuju.cz/fedora/downloads/dmesg-bad.txt
Here is the output of dmesg from the one that does work:
http://feannatar.hostuju.cz/fedora/downloads/dmesg-good.txt
And here they are diffed:
http://feannatar.hostuju.cz/fedora/downloads/dmesg-diff.txt

From rough look it seems that no IDE is found as well as no HDD/DVD/CD. On both
machines I have FC6 working.
Comment 7 Igor Miletic 2007-02-06 22:25:15 EST
Same problem here. 
I use VIA VT8237 controller with 2 hard drive attached as SATA drives, and
promise  controller with 2 hard drives as well (one SATA other SATAII). This
machine has Asus k8x deluxe board.

It also failed with ABIT board (possibly A7V800) with one IDE hard drive attached.
Comment 8 C Clark 2007-02-10 09:50:15 EST
Same problem with - Warning, cannot find root file system" "create symlink
/dev/root and then exit this shell to continue the boot sequence.

I tried on two different computers, one with a ASRocK 939 Dual-SATA2 mobo with a
SATA drive, the other a MSI KT4AV mobo with an IDE drive. Same results both
times. The ISO I am using was downloaded on February 9, 2007 from the Duke
University server.  
Comment 9 Sebastian Vahl 2007-02-27 20:10:19 EST
Same problem (no /dev/root) here with F7test1 on two machines:

1. http://smolt.fedoraproject.org/show?UUID=e689326b-2c7d-4fbc-969e-f6293086ab97
2. http://smolt.fedoraproject.org/show?UUID=2e386ff4-8c36-4017-bae0-deab54df7e77

Also a self created livecd with livecd-tools based on todays rawhide stopped at
the same point. The rawhide installation itself boots fine. 
Comment 10 mohammed f khan 2007-05-09 18:33:01 EDT
eject not found error on FC7RC3 when trying to boot livecd with live_ram
Comment 11 mohammed f khan 2007-05-09 19:04:18 EDT
(In reply to comment #10)
> eject not found error on FC7RC3 when trying to boot livecd with live_ram

this is b/c FC7RC3 livecd-fedora-minimal.ks does not have eject in the %
packages list
Comment 12 Anonymous 2007-05-31 17:09:46 EDT
Fedora 7 Live CD - boot freezes at "OK, Booting the kernel" on a Dell Latitude
D820.  CD is fine, booted successfully on a Dell GX270, SHA1 computes.  Also,
FC6 Live CD booted fine on the D820.
Comment 13 Jarod Wilson 2007-05-31 17:31:47 EDT
(In reply to comment #12)
> Fedora 7 Live CD - boot freezes at "OK, Booting the kernel" on a Dell Latitude
> D820.  CD is fine, booted successfully on a Dell GX270, SHA1 computes.  Also,
> FC6 Live CD booted fine on the D820.

Known issue, I do believe:

http://fedoraproject.org/wiki/Bugs/F7Common

Boot with maxcpus=1 and it should work. A later kernel update will fix this one.
Comment 14 Keith G. Robertson-Turner 2007-06-03 17:22:13 EDT
F7 i386 Live CD on a Via Epia (Mk1) gets as far as "OK, Booting the kernel" then
spontaneously reboots.



Comment 15 Greg Trounson 2007-07-01 18:48:06 EDT
Would it be possible to have memtest included on the Live CD boot screen,
please, or at least an option to do so?
Comment 16 Roger Cowles 2007-07-05 12:41:05 EDT
Similar sounding issue to #14. I have a VIA C3 based PC Chips M789 homebrew PC
and the Fedora 7 i686 Live CD gets as far as loading the initrd.img and then
reboots.
Comment 17 Jon Stanley 2008-03-27 21:45:19 EDT
Adding Tracking keyword

Note You need to log in before you can comment on or make changes to this bug.